if data.raw.item["steel-gear-wheel"] then
else
  data:extend({
	  {
		type = "recipe",
		name = "steel-gear-wheel",
		energy = 2.0,
		enabled = false,
		ingredients =
		{
		  {"steel-plate", 2},
		},
		result = "steel-gear-wheel"
	  },
	  {
		type = "item",
		name = "steel-gear-wheel",
		icon = "__CI-automation__/graphics/icons/steel-gear-wheel.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "intermediate-product",
		order = "c-b",
		stack_size = 100
	  },
  })
  table.insert(data.raw["technology"]["steel-processing"].effects,{type="unlock-recipe",recipe="steel-gear-wheel"})
end

if data.raw.item["titanium-gear-wheel"] then
  table.insert(data.raw["recipe"]["assembling-machine-8"].ingredients,{"titanium-gear-wheel", 10})
  table.insert(data.raw["recipe"]["assembling-machine-9"].ingredients,{"titanium-gear-wheel", 25})
  table.insert(data.raw["recipe"]["assembling-machine-10"].ingredients,{"titanium-gear-wheel", 50})
else
  table.insert(data.raw["technology"]["automation-8"].effects,{type="unlock-recipe",recipe="lubed-gear-wheel"})
  table.insert(data.raw["recipe"]["assembling-machine-8"].ingredients,{"lubed-gear-wheel", 10})
  table.insert(data.raw["recipe"]["assembling-machine-9"].ingredients,{"lubed-gear-wheel", 25})
  table.insert(data.raw["recipe"]["assembling-machine-10"].ingredients,{"lubed-gear-wheel", 50})
  
	data:extend({
		{
		type = "recipe",
		name = "lubed-gear-wheel",
		category = "crafting-with-fluid",
		enabled = false,
		ingredients =
		{
		  {"steel-gear-wheel", 1},
		  {type="fluid",name="lubricant",amount=1}
		},
		result = "lubed-gear-wheel"
	  },
	  {
		type = "item",
		name = "lubed-gear-wheel",
		icon = "__CI-automation__/graphics/icons/lubed-gear-wheel.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "intermediate-product",
		order = "c-c",
		stack_size = 100
	  },  
	})
end